#!/bin/bash

VERSAO_JSS="JSS_4_2_5_RTM"

ARQUIVO_LIB_JSS4="libjss4.so"
URL_LIB_JSS4="ftp://ftp.mozilla.org/pub/mozilla.org/security/jss/releases/${VERSAO_JSS}/Linux2.6_x86_glibc_PTH_OPT.OBJ/lib/${ARQUIVO_LIB_JSS4}"

function permissaoInstalarLibJSS4() {
    echo -n "Tem certeza que gostaria de instalar a libjss4.so no seu Sistema (s/n) ? ";
    read instalarLib;

    case "$instalarLib" in
	s) 
	    instalarLibJss4;
	    ;;

	n) 
	    echo "Instalação cancelada!"    
	    ;;
    esac

}

function permissaoDesinstalarLibJSS4() {
    echo -n "Tem certeza que gostaria de desinstalar a libjss4.so do seu Sistema (s/n) ? ";
    read desinstalarLibJss4;

    case "$desinstalarLibJss4" in
	s) 
	    desinstalarLibJss4;
	    ;;

	n) 
	    echo "Desinstalação cancelada!"    
	    ;;
    esac

}


function instalarLibJss4() {
   echo -e "\n###################################################################################################";
   echo -e "Baixando a lib jss4 pelo seguinte endereço: \n\t${URL_LIB_JSS4}";
   wget -q ${URL_LIB_JSS4}
   
   echo -e "\nMovendo a lib jss4 ${ARQUIVO_LIB_JSS4} baixada para a pasta /usr/lib/";
   mv ${ARQUIVO_LIB_JSS4} /usr/lib/
   chmod 755 /usr/lib/${ARQUIVO_LIB_JSS4}

   echo -e "\n###################################################################################################";   
}

function desinstalarLibJss4() {
   echo -e "\n###################################################################################################";
   echo -e "Removendo a lib jss4 encontrado na seguinte pasta /usr/lib/${ARQUIVO_LIB_JSS4}";
   rm /usr/lib/${ARQUIVO_LIB_JSS4}
   echo -e "\n###################################################################################################";   
}

clear;

if [ $UID -ne 0 ]; then

   echo -e "\n###################################################################################################";
   echo -e "\tAVISO: Este aplicativo deve ser executado com permissão de root";
   echo -e "###################################################################################################\n";

elif [ $# -ne 1 ]; then
   permissaoInstalarLibJSS4;
elif [ $1 == "instalar_sem_confirmacao" ]; then
   instalarLibJss4;
elif [ $1 == "desinstalar_sem_confirmacao" ]; then
   desinstalarLibJss4;
elif [ $1 == "desinstalar" ]; then
   permissaoDesinstalarLibJSS4;
else
    echo -e "OPÇÃO DESCONHECIDA!\n\n* Parâmetros conhecidos:"
    echo -e "\n\t1- Sem Parâmetro para instalar as bibliotecas necessárias para o funcionamento do applet";
    echo -e "\n\t2- Paramêtro: \"desinstalar\" . Desinstala as bibliotecas.";

fi
echo -e "\n\n\n\n";

exit 0;
